Name:           libmatekbd
Version:        1.5.0
Release:        1%{?dist}
Summary:        Libraries for mate kbd
License:        LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  mate-common
BuildRequires:  pkgconfig(gsettings-desktop-schemas)

Requires:       gsettings-desktop-schemas


%description
Libraries for matekbd

%package devel
Summary:  Development libraries for libmatekbd
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries for libmatekbd

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -fv {} ';'


#desktop-file-install									\
#	--remove-category="MATE"							\
#	--add-category="X-Mate"								\
#	--delete-original								\
#	--dir=%{buildroot}%{_datadir}/applications					\
#%{buildroot}%{_datadir}/applications/matekbd-indicator-plugins-capplet.desktop


%find_lang %{name} --all-name


%pre
/sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post
/sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING.LIB README
%{_datadir}/libmatekbd/
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml
%{_libdir}/libmatekbd.so.4*
%{_libdir}/libmatekbdui.so.4*

%files devel
%{_includedir}/libmatekbd/
%{_libdir}/pkgconfig/libmatekbd.pc
%{_libdir}/pkgconfig/libmatekbdui.pc
%{_libdir}/libmatekbdui.so
%{_libdir}/libmatekbd.so

%changelog
* Mon Oct 29 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release
- change build requires style
- remove mateconf scriplets and replace with schema scriptlets
- add requires gsettings-desktop-schemas
- add build requires gsettings-desktop-schemas-devel

* Wed Sep 26 2012 Dan Mashal <dan.mashal@fedoraproject.org>  1.4.0-6
- Remove onlyshowin from desktop-fileinstall  and mateconf_obsolete macro
- Fix date on previous changelog (I was tired, sorry).

* Mon Sep 24 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Update desktop-file-install and fix mate-conf scriptlets

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-4
- License: LGPLv2+, %%doc COPYING.LIB
- dir ownership
- don't use undefined %%{po_package} macro
- s|MATE|X-MATE| only on < f18

* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Remove obsolete scriptlet from pre macro, correct schema scriptlets for mateconf and bump release version

* Sat Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Drop libs package add scriptlets for schemas

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
